=== debian/changelog ===
gmtp (0.6-2) unstable; urgency=low

  * Correct linking order to pass LDFLAGS to the compiler.
  * Add patch to makes the program look for the data files under
    /usr/share/gmtp rather than under /usr/share/gMTP.

 -- Alessio Treglia <alessio@debian.org>  Sat, 06 Nov 2010 00:57:14 +0100

gmtp (0.6-1) unstable; urgency=low

  * Initial release. (Closes: #596724)

 -- Alessio Treglia <alessio@debian.org>  Mon, 13 Sep 2010 18:19:44 +0200
