=== debian/watch ===
version=3
http://chewy509.110mb.com/gMTP.html \
gMTP-(.*)-.*\.tar\.gz
