=== debian/changelog ===
gmtp (0.7-1~maverick1) maverick-backports; urgency=low

  * Automated backport upload; no source changes.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 06 Dec 2010 18:02:44 +0000

gmtp (0.7-1) unstable; urgency=low

  * New upstream release:
    - Added FLAC metadata support (required FLAC 1.2+)
    - Added OggVorbis metadata support (requires vorbis 1.0.1+)
    - Added WMA metadata support.
    - Fixed missing header in mtp.c for some Linux distro's (string.h).
    - Made application and file paths all lower case inline with
      freedesktop guidelines.
    - Changed *.desktop file inline with freedesktop guidelines.
    - Fixed NULL pointer fault with MP3's that have no TRACKNUMBER tag.
  * Dropped patches, applied upstream:
    - 01-desktop_file.patch
    - 03-missing_header.patch
    - 04-fix_application_path.patch
  * Refresh 02-makefile.patch, partially adopted by upstream.
  * Rename executable from gMTP to gmtp, update manpage.
  * debian/control: Build-depend on libflac-dev,libvorbis-dev.
  * Improve debian/watch file.

 -- Alessio Treglia <alessio@debian.org>  Thu, 25 Nov 2010 16:23:54 +0100
