=== debian/changelog ===
gmtp (0.8.1-1) unstable; urgency=low

  * New upstream release:
    - Update Italian Translation - thanks to Francesca Ciceri.
    - Modify Makefile for separate GConf schema installation.
  * Drop patches, applied upstream.

 -- Alessio Treglia <alessio@debian.org>  Tue, 25 Jan 2011 19:46:39 +0100

gmtp (0.8-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Update debian/copyright.
  * Add patch to improve the Italian translation.

 -- Alessio Treglia <alessio@debian.org>  Mon, 24 Jan 2011 17:21:38 +0100
