=== debian/control ===
--- 
+++ 
@@ -8,6 +8,8 @@
  libglib2.0-dev,
  libgconf2-dev,
  libid3tag0-dev,
+ libflac-dev,
+ libvorbis-dev,
  libmtp-dev
 Standards-Version: 3.9.1
 Homepage: http://chewy509.110mb.com/gMTP.html
