=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS+=-Wl,--as-needed
export PREFIX=/usr

%:
	dh $@ -Smakefile
