=== debian/watch ===
version=3
http://chewy509.110mb.com/gMTP.html \
gmtp-([0-9\.]+)-.*\.tar\.gz
