=== debian/changelog ===
gmtp (0.9.1-1) unstable; urgency=low

  * New upstream release:
    - Fix "File continues to be uploaded, even if cancelling the
      upload" bug (Closes: #624117).
  * debian/copyright:
    - Update to comply with DEP-5 svn-174.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Thu, 28 Apr 2011 19:25:01 +0200
