=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: Alessio Treglia <alessio@debian.org>
 Build-Depends: debhelper (>= 7),
- pkg-config,
+ libflac-dev,
+ libgconf2-dev,
+ libglib2.0-dev,
  libgtk2.0-dev,
- libglib2.0-dev,
- libgconf2-dev,
  libid3tag0-dev,
- libflac-dev,
+ libmtp-dev,
  libvorbis-dev,
- libmtp-dev
-Standards-Version: 3.9.1
+ pkg-config
+Standards-Version: 3.9.2
 Homepage: http://chewy509.110mb.com/gMTP.html
 Vcs-Git: git://git.debian.org/collab-maint/gmtp.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/gmtp.git
