## gmtp 1.0.1

=== debian/changelog ===
gmtp (1.0.1-2) unstable; urgency=low

  * Remove duplicate free() call to prevent crashes while transfering
    songs (Closes: #632454).

 -- Alessio Treglia <alessio@debian.org>  Wed, 06 Jul 2011 08:44:14 +0200

gmtp (1.0.1-1) unstable; urgency=low

  * New upstream release:
    - Fix application icon size with Window Maker.
    - Added Format Device Option.
    - General code cleanup.

 -- Alessio Treglia <alessio@debian.org>  Tue, 28 Jun 2011 11:28:19 +0200
