=== debian/control ===
--- 
+++ 
@@ -2,11 +2,10 @@
 Section: sound
 Priority: optional
 Maintainer: Alessio Treglia <alessio@debian.org>
-Build-Depends: debhelper (>= 7),
+Build-Depends: debhelper (>= 8.1.3~),
  libflac-dev,
- libgconf2-dev,
  libglib2.0-dev,
- libgtk2.0-dev,
+ libgtk-3-dev,
  libid3tag0-dev,
  libmtp-dev,
  libvorbis-dev,
