=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libvorbis-dev,
  pkg-config
 Standards-Version: 3.9.2
-Homepage: http://chewy509.110mb.com/gMTP.html
+Homepage: http://gmtp.sourceforge.net/
 Vcs-Git: git://git.debian.org/collab-maint/gmtp.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/gmtp.git
