=== debian/rules ===
--- 
+++ 
@@ -5,3 +5,14 @@
 
 %:
 	dh $@ -Smakefile
+
+override_dh_auto_build:
+	dh_auto_build -- gtk3
+
+override_dh_auto_install:
+	dh_auto_install
+	rm debian/gmtp/usr/share/gconf/schemas/gmtp.schemas
+	find debian/gmtp -type d -empty -delete
+
+override_dh_clean:
+	dh_clean -XMakefile~
