=== debian/changelog ===
gmtp (1.3.0-1) unstable; urgency=low

  * New upstream release.
  * It's no longer needed to keep Makefile~ unchanged,
    it has been removed upstream.
  * Update debian/copyright.

 -- Alessio Treglia <alessio@debian.org>  Sat, 24 Dec 2011 02:46:03 +0100
