=== debian/changelog ===
gmtp (1.3.1-2ubuntu0.1) precise-proposed; urgency=low

  * Fix invalid charset in German's translation. (LP: #1051249)

 -- Alessio Treglia <quadrispro@ubuntu.com>  Fri, 16 Nov 2012 01:13:03 +0000

gmtp (1.3.1-2) unstable; urgency=low

  * Fix 0001-missing_linker_flag.patch, it wasn't actually applied when
    linked against GTK3.
  * Really build with --as-needed.

 -- Alessio Treglia <alessio@debian.org>  Mon, 20 Feb 2012 15:44:30 +0100

gmtp (1.3.1-1) unstable; urgency=low

  * New upstream bugfix release:
    - Change default to ask for Download folder upon initial
      installation. (LP: #934319)
  * Link against gthread-2.0 to prevent FTBFS; patch taken from Ubuntu.

 -- Alessio Treglia <alessio@debian.org>  Mon, 20 Feb 2012 14:25:15 +0100
