=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gmtp
 Section: sound
 Priority: optional
-Maintainer: Alessio Treglia <alessio@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alessio Treglia <alessio@debian.org>
 Build-Depends: debhelper (>= 8.1.3~),
  libflac-dev,
  libglib2.0-dev,
