=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-LDFLAGS+=-Wl,--as-needed
+export LDFLAGS+=-Wl,--as-needed
 export PREFIX=/usr
 
 %:
