=== debian/changelog ===
gmtp (1.3.2-1) unstable; urgency=low

  * New upstream bugfix release:
    - Correct Makefile to fix when building with GTK+-3.4.
    - Reworked pkg-config handling to respect $(PKG_CONFIG) in Makefile.
    - Add additional error checking on connection of new devices, to hopefully
      avoid seg-fault with some very problematic devices. Ubuntu bugs:
      LP: #917314 LP: #948621 LP: #968798 LP: #995503
    - Fix issue with some Android 3.2 implementations and GetStorage() MTP API
      function. (Uses cached information, rather than full item rescan in some
      instances). (Closes: #667795)
    - Correct German Translations. (Closes: #672298)
    - Fix FLAC file handling.
  * Update debian/copyright.
  * Bump Standards.
  * Drop 0001-missing_linker_flag.patch, applied upstream.
  * Enable harden'd compilation.
  * Add 0002-format_security.patch to prevent build failure with the flag
    '-Werror=format-security' enabled.

 -- Alessio Treglia <alessio@debian.org>  Thu, 14 Jun 2012 10:12:49 +0200
