=== debian/changelog ===
gmtp (1.3.3-1) unstable; urgency=low

  * New upstream release:
    - Fix handling of download/delete when parent folder is selected.
    - Fix build failure with -Werror=format-security.
  * Drop 0002-format_security.patch, applied upstream.

 -- Alessio Treglia <alessio@debian.org>  Fri, 15 Jun 2012 18:47:50 +0200
