=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: gmtp
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alessio Treglia <alessio@debian.org>
-Build-Depends: debhelper (>= 8.1.3~),
+Maintainer: Alessio Treglia <alessio@debian.org>
+Build-Depends:
+ debhelper (>= 8.1.3~),
  libflac-dev,
  libglib2.0-dev,
  libgtk-3-dev,
@@ -11,15 +11,16 @@
  libmtp-dev,
  libvorbis-dev,
  pkg-config
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://gmtp.sourceforge.net/
 Vcs-Git: git://git.debian.org/collab-maint/gmtp.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/gmtp.git
 
 Package: gmtp
 Architecture: any
-Depends: ${shlibs:Depends},
- ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
 Description: simple MP3 player client for MTP based devices
  gMTP is a simple and light-weight interface to the features provided
  by libmtp, which allows users to manage the files stored on any MTP
