=== debian/control ===
--- 
+++ 
@@ -11,10 +11,10 @@
  libmtp-dev,
  libvorbis-dev,
  pkg-config
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://gmtp.sourceforge.net/
-Vcs-Git: git://git.debian.org/collab-maint/gmtp.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/gmtp.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/gmtp.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gmtp.git
 
 Package: gmtp
 Architecture: any
