=== debian/watch ===
version=3
http://sf.net/gmtp/gmtp-([0-9\.]+)-.*\.tar\.gz
